[Debian-in-commits] [SCM] fonts-pagul.git branch, master, updated. upstream/1.0-2-g97e9e87

Vasudev Kamath kamathvasudev at gmail.com
Mon Dec 26 17:30:58 UTC 2011


The following commit has been merged in the master branch:
commit 97e9e87237096a880f38c17e431fce624cef752f
Author: Vasudev Kamath <kamathvasudev at gmail.com>
Date:   Mon Dec 26 23:00:59 2011 +0530

    Preparation of new release

diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..224e7f0
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1 @@
+.pc/
diff --git a/Makefile b/Makefile
new file mode 100644
index 0000000..3e127bf
--- /dev/null
+++ b/Makefile
@@ -0,0 +1,5 @@
+default: 
+	mkdir TTFfiles
+	./generate.pe *.sfd
+clean:
+	rm -rf TTFfiles
diff --git a/debian/90-fonts-pagul.conf b/debian/90-fonts-pagul.conf
index afb1489..8812f80 100644
--- a/debian/90-fonts-pagul.conf
+++ b/debian/90-fonts-pagul.conf
@@ -2,9 +2,9 @@
 <!DOCTYPE fontconfig SYSTEM "fonts.dtd">
 <fontconfig>
 	<!-- Tamil (ta) -->
-	<match target="pattern">
+	<match target="font">
 		<test name="lang" compare="contains">
-			<string>ta</string>
+			<string>saz</string>
 		</test>
 		<test qual="any" name="family">
 			<string>sans-serif</string>
@@ -14,9 +14,9 @@
 		</edit>
 	</match>
 
-	<match target="pattern">
+	<match target="saz">
 		<test name="lang" compare="contains">
-			<string>ta</string>
+			<string>saz</string>
 		</test>
 		<test qual="any" name="family">
 			<string>serif</string>
diff --git a/debian/changelog b/debian/changelog
index b27404b..8617b33 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,17 @@
+fonts-pagul (1.0-3) unstable; urgency=low
+
+  [Vasudev Kamath]
+  * Language code used in fontconfig file was ta instead of saz fixed it.
+  * debian/install
+    + Font was directly installing to truetype folder instead of pagul.
+  * debian/preinst
+    + Added this file to remove stray Pagul.ttf in truetype folder during upgrade
+  * debian/control
+    + fontforge dependency added
+  * Added Makefile and generate.pe patches to build font from source
+
+ -- Debian-IN Team <debian-in-workers at lists.alioth.debian.org>  Mon, 26 Dec 2011 22:58:27 +0530
+
 fonts-pagul (1.0-2) unstable; urgency=low
   [Vasudev Kamath]
   * debian/control
diff --git a/debian/compat b/debian/compat
index 7f8f011..45a4fb7 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-7
+8
diff --git a/debian/control b/debian/control
index 29c670a..09390ce 100644
--- a/debian/control
+++ b/debian/control
@@ -3,7 +3,8 @@ Section: fonts
 Priority: extra
 Maintainer: Debian-IN Team <debian-in-workers at lists.alioth.debian.org>
 Uploaders: Vasudev Kamath <kamathvasudev at gmail.com>
-Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends: debhelper (>= 8.0.0),
+	       fontforge
 Standards-Version: 3.9.2
 Homepage: https://sourceforge.net/projects/pagul/
 Vcs-Git: git://git.debian.org/debian-in/fonts-pagul.git
diff --git a/debian/install b/debian/install
index ba3a19e..787cbea 100644
--- a/debian/install
+++ b/debian/install
@@ -1,2 +1,2 @@
-./Pagul.ttf usr/share/fonts/truetype/
-./debian/*.conf /etc/fonts/conf.avail/
+TTFFiles/Pagul.ttf usr/share/fonts/truetype/pagul
+debian/*.conf /etc/fonts/conf.avail/
diff --git a/debian/patches/generate.pe.patch b/debian/patches/generate.pe.patch
new file mode 100644
index 0000000..9e87668
--- /dev/null
+++ b/debian/patches/generate.pe.patch
@@ -0,0 +1,22 @@
+--- /dev/null
++++ b/generate.pe
+@@ -0,0 +1,19 @@
++#!/usr/bin/env fontforge
++
++# script file for FontForge for TTF generation
++# usage:
++#   mkdir TTFfiles
++#   chmod +x generate.pe
++#   ./generate.pe *.sfd
++
++if ($version < "20061220")
++  Error("Your version of FontForge is too old - 20061220 or newer is required");
++endif
++i = 1
++while ( i < $argc )
++  Open($argv[i], 1)
++  #Use gen_flags=Defualt fmflags value as -1  
++  gen_flags = -1 
++  Generate("TTFfiles/" + $fontname + ".ttf", "", gen_flags)
++  i++
++endloop
diff --git a/debian/patches/makefile.patch b/debian/patches/makefile.patch
new file mode 100644
index 0000000..bdc6628
--- /dev/null
+++ b/debian/patches/makefile.patch
@@ -0,0 +1,8 @@
+--- /dev/null
++++ b/Makefile
+@@ -0,0 +1,5 @@
++default: 
++	mkdir TTFfiles
++	./generate.pe *.sfd
++clean:
++	rm -rf TTFfiles
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..212de91
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,2 @@
+generate.pe.patch
+makefile.patch
diff --git a/debian/preinst b/debian/preinst
index a513951..4ef0ed2 100644
--- a/debian/preinst
+++ b/debian/preinst
@@ -1,35 +1,38 @@
 #!/bin/sh
+# preinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
 
 set -e
 
-PKG=fonts-pagul
-FONTCONF_RENAME_VERSION=1.0
-FONTCONF_FILE=/etc/fonts/conf.d/90-${PKG}.conf
-
-# Remove a no-longer used conffile
-rm_conffile() {
-    local PKGNAME="$1"
-    local CONFFILE="$2"
-    [ -e "$CONFFILE" ] || return 0
-
-    local md5sum="$(md5sum $CONFFILE | sed -e 's/ .*//')"
-    local old_md5sum="$(dpkg-query -W -f='${Conffiles}' $PKGNAME | \
-            sed -n -e "\' $CONFFILE ' { s/ obsolete$//; s/.* //; p }")"
-    if [ "$md5sum" != "$old_md5sum" ]; then
-        echo "Obsolete conffile $CONFFILE has been modified by you."
-        echo "Saving as $CONFFILE.dpkg-bak ..."
-        mv -f "$CONFFILE" "$CONFFILE".dpkg-bak
-    else
-        echo "Removing obsolete conffile $CONFFILE ..."
-        rm -f "$CONFFILE"
-    fi
-}
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
 
 case "$1" in
-install|upgrade)
-    if dpkg --compare-versions "$2" lt-nl "$FONTCONF_RENAME_VERSION"; then
-	    rm_conffile $PKG $FONTCONF_FILE
-    fi
+    install|upgrade)
+        if [ -f /usr/share/fonts/truetype/Pagul.ttf ]; then
+            rm -rf /usr/share/fonts/truetype/Pagul.ttf
+        fi
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
 esac
 
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
 #DEBHELPER#
+
+exit 0
diff --git a/generate.pe b/generate.pe
new file mode 100755
index 0000000..d8dbdca
--- /dev/null
+++ b/generate.pe
@@ -0,0 +1,19 @@
+#!/usr/bin/env fontforge
+
+# script file for FontForge for TTF generation
+# usage:
+#   mkdir TTFfiles
+#   chmod +x generate.pe
+#   ./generate.pe *.sfd
+
+if ($version < "20061220")
+  Error("Your version of FontForge is too old - 20061220 or newer is required");
+endif
+i = 1
+while ( i < $argc )
+  Open($argv[i], 1)
+  #Use gen_flags=Defualt fmflags value as -1  
+  gen_flags = -1 
+  Generate("TTFfiles/" + $fontname + ".ttf", "", gen_flags)
+  i++
+endloop

-- 
fonts-pagul.git



More information about the Debian-in-commits mailing list